﻿using Sample;
using Sample.Models;
using Syncfusion.JavaScript.DataSources;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Web;
using Syncfusion.Linq;
using System.Web.Script.Services;
using System.Web.Services;
using System.Web.UI;
using System.Web.UI.WebControls;
using WebApplication17.Models;

namespace WebApplication17
{

    public partial class _Default : Page
    {
        private List<Orders> order = new List<Orders>();
        private List<Employee> employee = new List<Employee>();

        public static string tbName = "Orders";
        protected void Page_Load(object sender, EventArgs e)
        {
            EmployeeDetails();
        }
        private void EmployeeDetails()
        {
            employee.Add(new Employee(1, "VINET", "Davolia", "Sales Representative", new DateTime(1970, 12, 24), "USA"));
            employee.Add(new Employee(2, "TOMSP", "Fuller", "Sales Representative", new DateTime(1974, 1, 4), "USA"));
            employee.Add(new Employee(3, "ANATER", "Leverling", "Sales Representative", new DateTime(1977, 2, 7), "USA"));
            employee.Add(new Employee(4, "FRGYE", "peacock", "Sales Representative", new DateTime(1979, 8, 16), "USA"));
            employee.Add(new Employee(5, "ALFKI", "Bhuchanan", "Sales Representative", new DateTime(1980, 5, 20), "USA"));
            this.EmployeesGrid.DataSource = employee;
            this.EmployeesGrid.DataBind();
        }

        [WebMethod]
        [ScriptMethod(ResponseFormat = ResponseFormat.Json)]
        public static object Data(string test)
        {
            IEnumerable Data = new Order().OrderDetails.ToList();
            int count = Data.AsQueryable().Count();
            //Data = Data.AsQueryable().Where("CustomerID", "F", FilterType.StartsWith, true);
            Data = Data.AsQueryable().Where("FirstName", test, FilterType.Contains, true);  //Filtering the data 
            return Data; // return data
        }

       
        

        [Serializable]
        public class Employee
        {
            public Employee()
            {

            }
            public Employee(int employeeId, string firstName, string lastName, string title, DateTime dob,
                string country)
            {
                this.EmployeeID = employeeId;
                this.FirstName = firstName;
                this.LastName = lastName;
                this.Title = title;
                this.BirthDate = dob;
                this.Country = country;
            }
            public int EmployeeID { get; set; }
            public string FirstName { get; set; }
            public string LastName { get; set; }
            public string Title { get; set; }
            public DateTime BirthDate { get; set; }
            public string Country { get; set; }
        }

        public class Order
        {
            List<Orders> order = new List<Orders>();
            public List<Orders> OrderDetails
            {
                get
                {
                    order.Add(new Orders(10001, "VINET", 1, 32.38, new DateTime(2014, 12, 25), "Reims"));
                    order.Add(new Orders(10002, "TOMSP", 2, 11.61, new DateTime(2014, 12, 21), "Munster"));
                    order.Add(new Orders(10003, "ANATER", 3, 45.34, new DateTime(2014, 10, 18), "Berlin"));
                    order.Add(new Orders(10004, "ALFKI", 4, 37.28, new DateTime(2014, 11, 23), "Mexico"));
                    order.Add(new Orders(10005, "FRGYE", 5, 67.00, new DateTime(2014, 05, 05), "Colchester"));
                    order.Add(new Orders(10006, "ANATER", 1, 32.38, new DateTime(2014, 12, 25), "Reims"));
                    order.Add(new Orders(10007, "ALFKI", 2, 12.61, new DateTime(2014, 12, 23), "Munster"));
                    order.Add(new Orders(10008, "VINET", 3, 48.34, new DateTime(2014, 10, 08), "Berlin"));
                    order.Add(new Orders(10009, "ALFKI", 4, 67.28, new DateTime(2014, 01, 23), "Mexico"));
                    order.Add(new Orders(10010, "VINET", 5, 127.00, new DateTime(2014, 05, 05), "Colchester"));
                    order.Add(new Orders(10011, "FRGYE", 1, 32.38, new DateTime(2014, 12, 23), "Reims"));
                    order.Add(new Orders(10012, "ALFKI", 2, 44.61, new DateTime(2014, 11, 21), "Munster"));
                    order.Add(new Orders(10013, "ANATER", 3, 45.34, new DateTime(2014, 10, 18), "Berlin"));
                    order.Add(new Orders(10014, "VINET", 4, 87.28, new DateTime(2014, 10, 03), "Mexico"));
                    order.Add(new Orders(10015, "FRGYE", 5, 57.00, new DateTime(2014, 05, 05), "Colchester"));
                    order.Add(new Orders(10016, "VINET", 1, 42.38, new DateTime(2014, 12, 25), "Reims"));
                    order.Add(new Orders(10017, "FRGYE", 2, 21.61, new DateTime(2014, 12, 21), "Munster"));
                    order.Add(new Orders(10018, "ANATER", 3, 45.34, new DateTime(2014, 10, 18), "Berlin"));
                    order.Add(new Orders(10019, "FRGYE", 4, 37.28, new DateTime(2014, 11, 23), "Mexico"));
                    order.Add(new Orders(10020, "ANATER", 5, 87.00, new DateTime(2014, 05, 06), "Colchester"));
                    order.Add(new Orders(10021, "FRGYE", 1, 32.38, new DateTime(2014, 12, 27), "Reims"));
                    order.Add(new Orders(10022, "ALFKI", 2, 61.61, new DateTime(2014, 12, 29), "Munster"));
                    order.Add(new Orders(10023, "ANATER", 3, 25.34, new DateTime(2014, 10, 08), "Berlin"));
                    order.Add(new Orders(10024, "ALFKI", 4, 57.28, new DateTime(2014, 12, 23), "Mexico"));
                    order.Add(new Orders(10025, "TOMSP", 5, 67.30, new DateTime(2014, 08, 05), "Colchester"));
                    return order;
                }
            }
        }

        [Serializable]
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(long OrderId, string CustomerId, int EmployeeId, double Freight, DateTime OrderDate, string ShipCity)
            {
                this.OrderID = OrderId;
                this.FirstName = CustomerId;
                this.EmployeeID = EmployeeId;
                this.Freight = Freight;
                this.OrderDate = OrderDate;
                this.ShipCity = ShipCity;
            }
            public long OrderID { get; set; }
            public string FirstName { get; set; }
            public int EmployeeID { get; set; }
            public double Freight { get; set; }
            public DateTime OrderDate { get; set; }
            public string ShipCity { get; set; }
        }
    }
}