﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebApplication17._Default" %>

<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
    <div>
        Master Grid
    </div>
    <div>
        <ej:Grid ID="EmployeesGrid" runat="server">
             <ClientSideEvents ToolbarClick="onToolBarClick" />
            <ToolbarSettings ShowToolbar="True">
                <CustomToolbarItem>
                    <ej:CustomToolbarItem TemplateID="#Refresh" />
                </CustomToolbarItem>
            </ToolbarSettings>
            <Columns>
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" Width="80" />
                <ej:Column Field="FirstName" IsPrimaryKey="true" HeaderText="FirstName" Width="80" />
                <ej:Column Field="LastName" HeaderText="Freight" Width="100" EditType="Numeric" />
                <ej:Column Field="Country" HeaderText="ShipCity" Width="80" />
            </Columns>
        </ej:Grid>
    </div>
    <div>
        Details Grid
    </div>
    <div>
        <ej:Grid ID="OrdersGrid" runat="server">
            <Columns>
                <ej:Column Field="OrderID" IsPrimaryKey="true" HeaderText="Order ID" Width="80" />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" Width="80" />
                <ej:Column Field="FirstName" HeaderText="FirstName" Width="100" EditType="Numeric" />
                <ej:Column Field="ShipCity" HeaderText="ShipCity" Width="80" />
            </Columns>
        </ej:Grid>
    </div>
    </asp:Content>
<asp:Content runat="server" ID="Content1" ContentPlaceHolderID="ScriptSection">
    <script id="Refresh" type="text/x-jsrender">
        <a class="e-toolbaricons refresh" />
    </script>
   
    <script type="text/javascript">
        function onToolBarClick(sender, args) {
                this.refreshContent();  //reloads the grid in toolbarclick event
        }
        $(function () {
            var $data = $('#<%= OrdersGrid.ClientID %>').ejGrid("instance")._dataSource();
            $('#<%= EmployeesGrid.ClientID %>').ejGrid({
                selectedRowIndex: 0,
                rowSelected: function (args) {
                    var query = new ej.Query().addParams("test", args.data.FirstName);
                    var dm = ej.DataManager({ url: "Default.aspx/Data", adaptor: new ej.UrlAdaptor() });
                    var promise = dm.executeQuery(query);
                    promise.done(function (e) {
                        var gridObj = $('#<%= OrdersGrid.ClientID %>').ejGrid("instance");
                        gridObj.dataSource(e.result);
                    });
                }
            });

            
        });
        
    </script>
      <style type="text/css" class="cssStyles">
        
          .refresh {
              background-position: -76px 3px;
          }
          .e-toolbaricons {
              background-image: url("../Content/ej/common-images/icons-gray.png");
             
          }
        .Expand:hover, .Collapse:hover, .refresh:hover {
            background-image: url("../Content/ej/common-images/icons-white.png");
        }
    </style>
</asp:Content>


